##### 7.7.2.0. bfctSyz

Procedure from library `bfun.lib` (see bfun_lib).

Usage:
  bfctSyz(f [,r,s,t,u,v]); f poly, r,s,t,u optional ints, v opt. intvec

Return:
  list of ideal and intvec

Purpose:
  computes the roots of the Bernstein-Sato polynomial b(s)
  for the hypersurface defined by f

Assume:
  The basering is commutative and of characteristic 0.

Background:
  In this proc, the initial Malgrange ideal is computed according to
  the algorithm by Masayuki Noro and then a system of linear equations is
  solved by computing syzygies.

Note:
  In the output list, the ideal contains all the roots and the intvec
  their multiplicities.
  If r<>0, `std` is used for GB computations in characteristic 0,
  otherwise, and by default, `slimgb` is used.
  If s<>0, a matrix ordering is used for GB computations, otherwise,
  and by default, a block ordering is used.
  If t<>0, the computation of the intersection is solely performed over
  charasteristic 0, otherwise and by default, a modular method is used.
  If u<>0 and by default, `std` is used for GB computations in
  characteristic >0, otherwise, `slimgb` is used.
  If v is a positive weight vector, v is used for homogenization
  computations, otherwise and by default, no weights are used.

Display:
  If printlevel=1, progress debug messages will be printed,
  if printlevel>=2, all the debug messages will be printed.

Example:

    LIB "bfun.lib";
    ring r = 0,(x,y),dp;
    poly f = x^2+y^3+x*y^2;
    bfctSyz(f);
    ==> [1]:
    ==>    _[1]=-5/6
    ==>    _[2]=-1
    ==>    _[3]=-7/6
    ==> [2]:
    ==>    1,1,1
    intvec v = 3,2;
    bfctSyz(f,0,1,1,0,v);
    ==> [1]:
    ==>    _[1]=-5/6
    ==>    _[2]=-1
    ==>    _[3]=-7/6
    ==> [2]:
    ==>    1,1,1

User manual for Singular version 4-0-3, 2016, generated by texi2html.